with GNATCOM.Dispinterface;

package MSHTML.IHTMLAttributeCollection4_Object is

   type IHTMLAttributeCollection4_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function getNamedItemNS
     (This     : IHTMLAttributeCollection4_Type;
      pvarNS   : GNATCOM.Types.VARIANT;
      bstrName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function setNamedItemNS
     (This    : IHTMLAttributeCollection4_Type;
      pNodeIn : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function removeNamedItemNS
     (This     : IHTMLAttributeCollection4_Type;
      pvarNS   : GNATCOM.Types.VARIANT;
      bstrName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getNamedItem
     (This     : IHTMLAttributeCollection4_Type;
      bstrName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function setNamedItem
     (This    : IHTMLAttributeCollection4_Type;
      pNodeIn : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function removeNamedItem
     (This     : IHTMLAttributeCollection4_Type;
      bstrName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function item
     (This  : IHTMLAttributeCollection4_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_length
     (This : IHTMLAttributeCollection4_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLAttributeCollection4_Object;

